package com.fjhx.constants.logistics;

/**
 * 物流常量
 */
public interface LogisticsConstant {

    /**
     * 状态
     */
    class Status {
        //未完成
        public static final Integer STATUS_0 = 0;
        //已完成
        public static final Integer STATUS_1 = 1;
    }

    /**
     * 物流状态（快递100的状态）
     */
    class KD100Status {
        //在途
        public static final Integer STATUS_0 = 0;
        //揽收
        public static final Integer STATUS_1 = 1;
        //疑难
        public static final Integer STATUS_2 = 2;
        //签收
        public static final Integer STATUS_3 = 3;
        //退签
        public static final Integer STATUS_4 = 4;
        //派件
        public static final Integer STATUS_5 = 5;
        //退回
        public static final Integer STATUS_6 = 6;
        //转投
        public static final Integer STATUS_7 = 7;
        //清关
        public static final Integer STATUS_8 = 8;
        //拒签
        public static final Integer STATUS_14 = 14;
    }
}
