package com.fjhx.mapper.stock;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.entity.stock.StockJournal;
import com.fjhx.utils.wrapperUtil.IWrapper;
import com.github.yulichang.base.mapper.MPJJoinMapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 出入库流水记录 Mapper 接口
 * </p>
 *
 * @author ${author}
 * @since 2022-11-24
 */
public interface StockJournalMapper extends MPJJoinMapper<StockJournal> {

    Page<StockJournal> getPage(@Param("page") Page<StockJournal> page, @Param("ew") IWrapper<StockJournal> wrapper);
}
